% Trigonometric function
% minimum = 1;  X = [0.9...0.9]

function Y = flip_tri(X)
% Y is a column vector, X is a matrix, each row of X is a sample

dim = size(X,2);  % dimension of the problem, i.e., length of each sample

Y = 1+sum( 8*(sin(7*(X(:,1:dim)-0.9).^2)).^2 + 6*(sin(14*(X(:,1:dim)-0.9).^2)).^2 + (X(:,1:dim)-0.9).^2 , 2);
 
%Y=Y-1;

% the above part of the tri function was intended for a minization problem,
% since GASS is working under a maximization formulation, we need to flip it
Y = -Y;